<?php
function gettableproduct(){
$table="catproduct";
$objeto= new db();
$kuery = "SELECT * FROM `catproduct`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_usuarios=$resultado[$x]["id_catproduct"];
        $nombre=$resultado[$x]["nombre"];
        $puesto=$resultado[$x]["puesto"];
        $sueldo=$resultado[$x]["sueldo"];
        $costo=$resultado[$x]["costo"];
        $feha=$resultado[$x]["feha"];
        $menu.=<<<menu
        <tr class="claseeduardo">
            <td ondblclick="editar('catproduct', 'nombre', $id_usuarios)" class="media-heading" id="nombrecatproduct$id_usuarios" title="Doble click para editar.">$nombre</td>
            <td ondblclick="editar('catproduct', 'puesto', $id_usuarios)" class="media-heading" id="puestocatproduct$id_usuarios" title="Doble click para editar.">$puesto</td>
            <td ondblclick="editar('catproduct', 'sueldo', $id_usuarios)" class="media-heading" id="sueldocatproduct$id_usuarios" title="Doble click para editar.">$sueldo</td>
            <td ondblclick="editar('catproduct', 'costo', $id_usuarios)" class="media-heading" id="costocatproduct$id_usuarios" title="Doble click para editar.">$costo</td>
            <td onblclick="editar('usuarios', 'feha', $id_usuarios)" class="media-heading" id="fehacatproduct$id_usuarios" title="Doble click para editar.">$feha</td>
            
            <td class="media-heading" id="Salariousuarios$id_usuarios" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_usuarios', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}

function getoptionproduct(){
$table="catproduct";
$objeto= new db();
$kuery = "SELECT * FROM `catproduct`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_usuarios=$resultado[$x]["id_catproduct"];
        $nombre=$resultado[$x]["nombre"];
        $puesto=$resultado[$x]["puesto"];
        $sueldo=$resultado[$x]["sueldo"];
        $costo=$resultado[$x]["costo"];
        $feha=$resultado[$x]["feha"];
        $menu.=<<<menu
        <option value="$id_usuarios">$nombre</option>
menu;
    }
return $menu;
}

function getusuarios(){//dame menu de index
$table="usuarios";
$objeto= new db();
$kuery = "SELECT * FROM `usuarios`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_usuarios=$resultado[$x]["id_usuarios"];
        $nombre=$resultado[$x]["nombre"];
        $apellidos=$resultado[$x]["apellidos"];
        $correo=$resultado[$x]["correo"];
        $telefono=$resultado[$x]["telefono"];
        $usuario=$resultado[$x]["usuario"];
        $contrasena=$resultado[$x]["contrasena"];
        $perfil=$resultado[$x]["perfil"];
        $habilitado=$resultado[$x]["habilitado"];

        $Puesto=$resultado[$x]["Puesto"];
        $fecha=$resultado[$x]["fecha"];
        $tipodesueldo=$resultado[$x]["tipodesueldo"];
        $horas=$resultado[$x]["horas"];
        $costohoras=$resultado[$x]["costohoras"];
        $Salario=$resultado[$x]["Salario"];

        $menu.=<<<menu
        <tr class="claseeduardo">
            <td ondblclick="editar('usuarios', 'nombre', $id_usuarios)" class="media-heading" id="nombreusuarios$id_usuarios" title="Doble click para editar.">$nombre</td>
            <td ondblclick="editar('usuarios', 'apellidos', $id_usuarios)" class="media-heading" id="apellidosusuarios$id_usuarios" title="Doble click para editar.">$apellidos</td>
            <td ondblclick="editar('usuarios', 'correo', $id_usuarios)" class="media-heading" id="correousuarios$id_usuarios" title="Doble click para editar.">$correo</td>
            <td ondblclick="editar('usuarios', 'telefono', $id_usuarios)" class="media-heading" id="telefonousuarios$id_usuarios" title="Doble click para editar.">$telefono</td>
            <td ondblclick="editar('usuarios', 'usuario', $id_usuarios)" class="media-heading" id="usuariousuarios$id_usuarios" title="Doble click para editar.">$usuario</td>
            <td type="password" id="contrasenausuarios$id_usuarios" title="Doble click para editar." value="$contrasena"><p ondblclick="editar('usuarios', 'contrasena', $id_usuarios)">$contrasena</td>
            <td ondblclick="editar('usuarios', 'habilitado', $id_usuarios)" class="media-heading" id="habilitadousuarios$id_usuarios" title="Doble click para editar.">$habilitado</td>
            <td ondblclick="editar('usuarios', 'perfil', $id_usuarios)" class="media-heading" id="perfilusuarios$id_usuarios" title="Doble click para editar.">$perfil</td>
            <td ondblclick="editar('usuarios', 'Puesto', $id_usuarios)" class="media-heading" id="Puestousuarios$id_usuarios" title="Doble click para editar.">$Puesto</td>
            <td ondblclick="editar('usuarios', 'fecha', $id_usuarios)" class="media-heading" id="fechausuarios$id_usuarios" title="Doble click para editar.">$fecha</td>
            <td ondblclick="editar('usuarios', 'tipodesueldo', $id_usuarios)" class="media-heading" id="tipodesueldousuarios$id_usuarios" title="Doble click para editar.">$tipodesueldo</td>
            <td ondblclick="editar('usuarios', 'horas', $id_usuarios)" class="media-heading" id="horasusuarios$id_usuarios" title="Doble click para editar.">$horas</td>
            <td ondblclick="editar('usuarios', 'costohoras', $id_usuarios)" class="media-heading" id="costohorasusuarios$id_usuarios" title="Doble click para editar.">$costohoras</td>
            <td ondblclick="editar('usuarios', 'Salario', $id_usuarios)" class="media-heading" id="Salariousuarios$id_usuarios" title="Doble click para editar.">$Salario</td>
            <td class="media-heading" id="Salariousuarios$id_usuarios" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_usuarios', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}

function getclientes(){//dame menu de index
$table="clientes";
$objeto= new db();
$kuery = "SELECT * FROM `clientes`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_clientes=$resultado[$x]["id_clientes"];
        $id_usuario=$resultado[$x]["id_usuario"];
        $Razon_social=$resultado[$x]["Razon_social"];
        $RFC=$resultado[$x]["RFC"];
        $contacto=$resultado[$x]["contacto"];
        $correo=$resultado[$x]["correo"];
        $telefono=$resultado[$x]["telefono"];
        $lnegocio=$resultado[$x]["lnegocio"];
        
        $menu.=<<<menu
        <tr class="claseeduardo">
            <td ondblclick="editar('clientes', 'Razon_social', $id_clientes)" class="media-heading" id="Razon_socialclientes$id_clientes" title="Doble click para editar.">$Razon_social</td>
            <td ondblclick="editar('clientes', 'RFC', $id_clientes)" class="media-heading" id="RFCclientes$id_clientes" title="Doble click para editar.">$RFC</td>
            <td ondblclick="editar('clientes', 'contacto', $id_clientes)" class="media-heading" id="contactoclientes$id_clientes" title="Doble click para editar.">$contacto</td>
            <td ondblclick="editar('clientes', 'correo', $id_clientes)" class="media-heading" id="correoclientes$id_clientes" title="Doble click para editar.">$correo</td>
            <td ondblclick="editar('clientes', 'telefono', $id_clientes)" class="media-heading" id="telefonoclientes$id_clientes" title="Doble click para editar.">$telefono</td>
            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_clientes', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}

function getproveedores(){//dame menu de index
$table="proveedores";
$objeto= new db();
$kuery = "SELECT * FROM `proveedores`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_clientes=$resultado[$x]["id_proveedores"];
        $id_usuario=$resultado[$x]["id_usuario"];
        $Razon_social=$resultado[$x]["Razon_social"];
        $RFC=$resultado[$x]["RFC"];
        $contacto=$resultado[$x]["contacto"];
        $correo=$resultado[$x]["correo"];
        $telefono=$resultado[$x]["telefono"];
        $lnegocio=$resultado[$x]["lnegocio"];
        
        $menu.=<<<menu
        <tr class="claseeduardo">
            <td ondblclick="editar('proveedores', 'Razon_social', $id_clientes)" class="media-heading" id="Razon_socialclientes$id_clientes" title="Doble click para editar.">$Razon_social</td>
            <td ondblclick="editar('proveedores', 'RFC', $id_clientes)" class="media-heading" id="RFCclientes$id_clientes" title="Doble click para editar.">$RFC</td>
            <td ondblclick="editar('proveedores', 'contacto', $id_clientes)" class="media-heading" id="contactoclientes$id_clientes" title="Doble click para editar.">$contacto</td>
            <td ondblclick="editar('proveedores', 'correo', $id_clientes)" class="media-heading" id="correoclientes$id_clientes" title="Doble click para editar.">$correo</td>
            <td ondblclick="editar('proveedores', 'telefono', $id_clientes)" class="media-heading" id="telefonoclientes$id_clientes" title="Doble click para editar.">$telefono</td>
            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_clientes', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}

function getoplnegocioclientes(){//dame menu de index
$table="clientes";
$objeto= new db();
$kuery = "SELECT distinct(lnegocio) from clientes";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $lnegocio=$resultado[$x]["lnegocio"];
        
        $menu.=<<<menu
<option value="$lnegocio">$lnegocio</option>
menu;
    }
return $menu;
}

function submenu($id_menu){
$objeto2= new db();
$query="SELECT * FROM `detalle_menu` WHERE `id_menu` = $id_menu";
$resultado = $objeto2->consultaregistros($query);
$respuesta="";
for($x=0;$x<count($resultado);$x++){
    $id_menu=$resultado[$x]['id_menu'];
    $nombre=$resultado[$x]['nombre'];
    $url=$resultado[$x]['url'];

    $respuesta.=<<<kkk
    <li><a href="$url">$nombre</a></li>
kkk;
  }
return $respuesta;
}


function getmenu(){//dame menu de index
$menu="";
$objeto1= new db();
$kueryperfiles = "SELECT * FROM `perfiles` where perfil=".$_SESSION['perfil_estrategia']. " order by orden ASC" ;
$resultadodetalles = $objeto1->consultaregistros($kueryperfiles);
$menuresult="";
for($y=0;$y<count($resultadodetalles);$y++){
    $objeto= new db();
    $kuery = "SELECT * FROM `menu` where id_menu =".$resultadodetalles[$y]['id_menu'];
    $resultado = $objeto->consultaregistros($kuery);
        //$array=array("INICIO", "USUARIOS", "CLIENTES", "PRODUCTOS", "VENTAS", "VENTAS DETALLE", "ACTIVIDADES");
        //$arrayicon=array('fa fa-fw fa-dashboard', 'fa fa-fw fa-bar-chart-o', 'fa fa-fw fa-table', 'fa fa-fw fa-edit', 'fa fa-fw fa-desktop', 'fa fa-fw fa-wrench', 'fa fa-fw fa-arrows-v');
        for($x=0;$x<count($resultado);$x++){
            //echo $array[$x];
            $menu=$resultado[$x]["menu"];
            $descripcion=$resultado[$x]["descripcion"];
            $fecha=$resultado[$x]["fecha"];
            $icono=$resultado[$x]["icono"];
            /*$menu=$row['menu'];
            $descripcion=$row['descripcion'];
            $fecha=$row['fecha'];
            $icono=$row['icono'];*/
            $submenu = submenu($resultadodetalles[$y]['id_menu']);
                $menuresult.=<<<kkk
            <li><a> $icono $menu <span class="fa fa-chevron-down"></span></a>
              <ul class="nav child_menu">
                $submenu
              </ul>
            </li>
kkk;
    }
}
return $menuresult;
}

function getgastos(){//dame menu de index
$objeto= new db();
$kuery = "SELECT * FROM `gastos`";
$resultado = $objeto->consultaregistros($kuery);

$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_gastos=$resultado[$x]["id_gastos"];
        //$id_tipo_gasto=$resultado[$x]["id_tipo_gasto"];
        $tipo_de_gasto=$resultado[$x]["tipo_de_gasto"];
        $nombre=$resultado[$x]["nombre"];
        $comentario=$resultado[$x]["comentario"];
        $fecha=$resultado[$x]["fecha"];

        $menu.=<<<menu
        <tr>
            <td ondblclick="editar('gastos', 'nombre', $id_gastos)" class="media-heading" id="nombregastos$id_gastos" title="Doble click para editar.">$nombre</td>
            <td ondblclick="editar('gastos', 'tipo_de_gasto', $id_gastos)" class="media-heading" id="tipo_de_gastogastos$id_gastos" title="Doble click para editar.">$tipo_de_gasto</td>
            <td ><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_gastos', 'gastos')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}

function getgastosxid($id_usr){//dame menu de index
$objeto= new db();
$kuery = "SELECT * FROM `gastos` where id_usuario = $id_usr";
$resultado = $objeto->consultaregistros($kuery);

$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_gastos=$resultado[$x]["id_gastos"];
        //$id_tipo_gasto=$resultado[$x]["id_tipo_gasto"];
        $tipo_de_gasto=$resultado[$x]["tipo_de_gasto"];
        $nombre=$resultado[$x]["nombre"];
        $comentario=$resultado[$x]["comentario"];
        $fecha=$resultado[$x]["fecha"];

        $menu.=<<<menu
        <tr>
            <td ondblclick="editar('gastos', 'nombre', $id_gastos)" class="media-heading" id="nombregastos$id_gastos" title="Doble click para editar.">$nombre</td>
            <td ondblclick="editar('gastos', 'tipo_de_gasto', $id_gastos)" class="media-heading" id="tipo_de_gastogastos$id_gastos" title="Doble click para editar.">$tipo_de_gasto</td>
            <td ><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_gastos', 'gastos')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}
function getegresos($id_usr){
$objeto= new db();
$kuery = "SELECT * FROM `egreso` where  id_usuario = $id_usr";
$resultado = $objeto->consultaregistros($kuery);
$menu="";

    for($x=0;$x<count($resultado);$x++){
        $id_egreso=$resultado[$x]["id_egreso"];
        $nombre=$resultado[$x]["nombre"];
        $tipo_de_egreso=$resultado[$x]["tipo_de_egreso"];
        $menu.=<<<menu
        <tr>
            <td ondblclick="editar('egreso', 'nombre', $id_egreso)" class="media-heading" id="nombreegreso$id_egreso" title="Doble click para editar.">$nombre</td>

            <td ondblclick="editar('egreso', 'tipo_de_egreso', $id_egreso)" class="media-heading" id="tipo_de_egresoegreso$id_egreso" title="Doble click para editar.">$tipo_de_egreso</td>

            <td class="media-heading" title="click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_egreso', 'egreso')" type="button" id="button">Borrar</button></td>
            
        </tr>
menu;
    }
return $menu;    
}

function gelineadenegocio(){
$objeto= new db();
$kuery = "SELECT * FROM `datosmaestros`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";

    for($x=0;$x<count($resultado);$x++){
        $id_datosmaestros=$resultado[$x]["id_datosmaestros"];
        $linadenegocio=$resultado[$x]["linadenegocio"];
        $fecha=$resultado[$x]["fecha"];
        $menu.=<<<menu
        <tr>
            <td ondblclick="editar('datosmaestros', 'linadenegocio', $id_datosmaestros)" class="media-heading" id="linadenegociodatosmaestros$id_datosmaestros" title="Doble click para editar.">$linadenegocio</td>

            <td ondblclick="editar('datosmaestros', 'tipo_de_egreso', $id_datosmaestros)" class="media-heading" id="tipo_de_egresodatosmaestros$id_datosmaestros" title="Doble click para editar.">$fecha</td>

            <td class="media-heading" title="click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_datosmaestros', 'datosmaestros')" type="button" id="button">Borrar</button></td>
            
        </tr>
menu;
    }
return $menu;    
}

function getclientesoption(){//dame menu de index
$table="clientes";
$objeto= new db();
$kuery = "SELECT * FROM `clientes`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_clientes=$resultado[$x]["id_clientes"];
        $id_usuario=$resultado[$x]["id_usuario"];
        $Razon_social=$resultado[$x]["Razon_social"];
        $RFC=$resultado[$x]["RFC"];
        $contacto=$resultado[$x]["contacto"];
        $correo=$resultado[$x]["correo"];
        $telefono=$resultado[$x]["telefono"];
        $lnegocio=$resultado[$x]["lnegocio"];
        
        $menu.=<<<menu
        <option value="$id_clientes">$Razon_social $RFC</option>

menu;
    }
return $menu;
}

function getlnegociooption(){
$table="datosmaestros";
$objeto= new db();
$kuery = "SELECT * FROM `datosmaestros`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_datosmaestros=$resultado[$x]["id_datosmaestros"];
        $linadenegocio=$resultado[$x]["linadenegocio"];
        /*
        $Razon_social=$resultado[$x]["Razon_social"];
        $RFC=$resultado[$x]["RFC"];
        $contacto=$resultado[$x]["contacto"];
        $correo=$resultado[$x]["correo"];
        $telefono=$resultado[$x]["telefono"];
        $lnegocio=$resultado[$x]["lnegocio"];*/
        
        $menu.=<<<menu
        <option value="$id_datosmaestros">$linadenegocio</option>

menu;
    }
return $menu;
}


function getcentrosdecostos(){
$table="cc";
$objeto= new db();
$kuery = "SELECT * FROM `cc`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_cc=$resultado[$x]["id_cc"];
        $nombre=$resultado[$x]["nombre"];
        $nombre=$resultado[$x]["nombre"];

        $id_cliente=$resultado[$x]["id_cliente"];
            $objeto= new db();
            $kuery = "SELECT * FROM `clientes` where id_clientes = $id_cliente";
            $resultado2 = $objeto->consultaregistros($kuery);
            $Razon_social=$resultado2[0]["Razon_social"];
            $RFC=$resultado2[0]["RFC"];

        $id_lnegocio=$resultado[$x]["id_lnegocio"];
            $objeto= new db();
            $kuerydatosmaestros = "SELECT * FROM `datosmaestros` where id_datosmaestros = $id_lnegocio";
            $resultado3 = $objeto->consultaregistros($kuerydatosmaestros);
            
            if(isset($resultado3[0]["linadenegocio"])){
                $linadenegocio=$resultado3[0]["linadenegocio"];
            }
        $id_tipologia=$resultado[$x]["id_tipologia"];


            $objeto= new db();
            $kuery = "SELECT * FROM `tipologias` where id_tipologias = $id_tipologia";
            $resultado4 = $objeto->consultaregistros($kuery);
            $tipologia=$resultado4[0]["nombre"];


        $fecha_ingreso=$resultado[$x]["fecha_ingreso"];

        $menu.=<<<menu
        <tr class="claseeduardo">
            <td ondblclick="editar('cc', 'nombre', $id_cc)" class="media-heading" id="nombrecc$id_cc" title="Doble click para editar.">$nombre</td>
            <td >$Razon_social / $RFC</td>
            <td >$linadenegocio</td>
            <td >$tipologia</td>
            <td >$fecha_ingreso</td>
            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_cc', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}

function gettipologiatable(){
$table="tipologias";
$objeto= new db();
$kuery = "SELECT * FROM `tipologias`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_tipologias=$resultado[$x]["id_tipologias"];
        $id_datosmaestros=$resultado[$x]["id_datosmaestros"];
        $nombre=$resultado[$x]["nombre"];

            $objeto= new db();
            $kuery = "SELECT * FROM `datosmaestros` where id_datosmaestros = $id_datosmaestros";
            $resultado3 = $objeto->consultaregistros($kuery);
            $linadenegocio=$resultado3[0]["linadenegocio"];

        $menu.=<<<menu
        <tr class="claseeduardo">
            <td>$linadenegocio</td>
            <td ondblclick="editar('tipologias', 'nombre', $id_tipologias)" class="media-heading" id="nombretipologias$id_tipologias" title="Doble click para editar.">$nombre</td>
            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_tipologias', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}

function getproyectosoption(){
$table="cc";
$objeto= new db();
$kuery = "SELECT * FROM `cc`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_cc=$resultado[$x]["id_cc"];
        $nombre=$resultado[$x]["nombre"];
        
        $menu.=<<<menu
        <option value="$id_cc">$nombre</option>
menu;

    }
return $menu;
}

function getetapasoption(){
$table="etapas";
$objeto= new db();
$kuery = "SELECT * FROM `etapas`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_etapas=$resultado[$x]["id_etapas"];
        $etapa=$resultado[$x]["etapa"];
        
        $menu.=<<<menu
        <option value="$id_etapas">$etapa</option>
menu;

    }
return $menu;
}


function getproyectosoptiontext(){
$table="cc";
$objeto= new db();
$kuery = "SELECT * FROM `cc`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_cc=$resultado[$x]["id_cc"];
        $nombre=$resultado[$x]["nombre"];
        
        $menu.=<<<menu
        <option value="$nombre">$nombre</option>
menu;

    }
return $menu;
}
function getnombre($tabla, $id){
$table="cc";
$objeto= new db();
$kuery = "SELECT * FROM `$tabla` where id_$tabla = $id";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $nombre=$resultado[$x]["nombre"];
    }
return $nombre;
}

function getccinfo(){
setlocale(LC_MONETARY,'es_MX');
$table="cc_info";
$objeto= new db();
$kuery = "SELECT * FROM `cc_info`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_cc_info=$resultado[$x]["id_cc_info"];
        $id_cc=$resultado[$x]["id_cc"];
        $nombreproy = getnombre("cc", $id_cc);

        $total_nomina=$resultado[$x]["total_nomina"];
        $total_especialistas=$resultado[$x]["total_especialistas"];
        $total_otros=$resultado[$x]["total_otros"];
        $total_indirectos=$resultado[$x]["total_indirectos"];

        $egresostotales = $total_indirectos + $total_nomina + $total_especialistas + $total_otros;
        $ingresostotales=$resultado[$x]["ingresostotales"];

        $saldoalcierre = $ingresostotales - $egresostotales;

        $fecha_ingreso=$resultado[$x]["fecha_ingreso"];
/*      $total_especialistas = money_format('%(#2n', $total_especialistas);*/
        $total_nomina = sprintf('$%01.2f', $total_nomina);
        $total_especialistas = sprintf('$%01.2f', $total_especialistas);
        $total_otros = sprintf('$%01.2f', $total_otros);
        $total_indirectos = sprintf('$%01.2f', $total_indirectos);
        $egresostotales = sprintf('$%01.2f', $egresostotales);
        $ingresostotales = sprintf('$%01.2f', $ingresostotales);
        $saldoalcierre = sprintf('$%01.2f', $saldoalcierre);

        /*$total_nomina = money_format('%.2n', $total_nomina);
        $total_especialistas = money_format('%.2n', $total_especialistas);
        $total_otros = money_format('%.2n', $total_otros);
        $total_indirectos = money_format('%.2n', $total_indirectos);
        $egresostotales = money_format('%.2n', $egresostotales);
        $ingresostotales = money_format('%.2n', $ingresostotales);
        $saldoalcierre = money_format('%.2n', $saldoalcierre);*/

        $menu.=<<<menu
        <tr class="claseeduardo">
            <td >$nombreproy</td>
            <td ondblclick="editar('cc_info', 'total_nomina', $id_cc_info)" class="media-heading" id="total_nominacc_info$id_cc_info" title="Doble click para editar.">$total_nomina</td>
            <td ondblclick="editar('cc_info', 'total_especialistas', $id_cc_info)" class="media-heading" id="total_especialistascc_info$id_cc_info" title="Doble click para editar.">$total_especialistas</td>
            <td ondblclick="editar('cc_info', 'total_otros', $id_cc_info)" class="media-heading" id="total_otroscc_info$id_cc_info" title="Doble click para editar.">$total_otros</td>
            <td ondblclick="editar('cc_info', 'total_indirectos', $id_cc_info)" class="media-heading" id="total_indirectoscc_info$id_cc_info" title="Doble click para editar.">$total_indirectos</td>

            <td bgcolor="#ef976f" ><b>$egresostotales</b></td>
            <td >$ingresostotales</td>
            <td bgcolor="#ef976f" ><b>$saldoalcierre</b></td>
            <td >$fecha_ingreso</td>
            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_cc', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}

function getccpres(){
setlocale(LC_MONETARY,'es_MX');
$table="cc_pres";
$objeto= new db();
$kuery = "SELECT * FROM `cc_pres`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_cc_pres=$resultado[$x]["id_cc_pres"];
        $id_cc=$resultado[$x]["id_cc"];
        $nombreproy = getnombre("cc", $id_cc);

        $total_nomina=$resultado[$x]["total_nomina"];
        $total_especialistas=$resultado[$x]["total_especialistas"];
        $total_otros=$resultado[$x]["total_otros"];
        $total_indirectos=$resultado[$x]["total_indirectos"];

        $egresostotales = $total_indirectos + $total_nomina + $total_especialistas + $total_otros;
        
        $ingresostotales=$resultado[$x]["ingresostotales"];

        $total_markup=$resultado[$x]["total_markup"];
        $total_impuestos=$resultado[$x]["total_impuestos"];

        $saldoalcierre = $ingresostotales - $egresostotales;
        
        $fecha_ingreso=$resultado[$x]["fecha_ingreso"];
/*      $total_especialistas = money_format('%(#2n', $total_especialistas);*/
        $total_nomina = sprintf('$%01.2f', $total_nomina);
        $total_especialistas = sprintf('$%01.2f', $total_especialistas);
        $total_otros = sprintf('$%01.2f', $total_otros);
        $total_indirectos = sprintf('$%01.2f', $total_indirectos);
        $egresostotales = sprintf('$%01.2f', $egresostotales);
        $ingresostotales = sprintf('$%01.2f', $ingresostotales);
        $saldoalcierre = sprintf('$%01.2f', $saldoalcierre);
        $total_markup = sprintf('$%01.2f', $total_markup);
        $total_impuestos = sprintf('$%01.2f', $total_impuestos);

        $menu.=<<<menu
        <tr class="claseeduardo">
        
            <td >$nombreproy</td>

            <td ondblclick="editar('cc_pres', 'total_nomina', $id_cc_pres)" class="media-heading" id="total_nominacc_info$id_cc_pres" title="Doble click para editar.">$total_nomina</td>
            <td ondblclick="editar('cc_pres', 'total_especialistas', $id_cc_pres)" class="media-heading" id="total_especialistascc_info$id_cc_pres" title="Doble click para editar.">$total_especialistas</td>
            <td ondblclick="editar('cc_pres', 'total_otros', $id_cc_pres)" class="media-heading" id="total_otroscc_info$id_cc_pres" title="Doble click para editar.">$total_otros</td>
            <td ondblclick="editar('cc_pres', 'total_indirectos', $id_cc_pres)" class="media-heading" id="total_indirectoscc_info$id_cc_pres" title="Doble click para editar.">$total_indirectos</td>

            <td ondblclick="editar('cc_pres', 'total_markup', $id_cc_pres)" class="media-heading" id="total_indirectoscc_info$id_cc_pres" title="Doble click para editar.">$total_markup</td>
            <td ondblclick="editar('cc_pres', 'total_impuestos', $id_cc_pres)" class="media-heading" id="total_indirectoscc_info$id_cc_pres" title="Doble click para editar.">$total_impuestos</td>

            <td bgcolor="#ef976f" ><b>$egresostotales</b></td>

            <td >$ingresostotales</td>

            <td bgcolor="#ef976f" ><b>$saldoalcierre</b></td>

            <td >$fecha_ingreso</td>

            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_cc_pres', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}

function getcuentastable(){
$table="cuentas";
$objeto= new db();
$kuery = "SELECT * FROM `cuentas`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_cc=$resultado[$x]["id_cuentas"];
        $nombre=$resultado[$x]["nombre"];
        $fecha_ingreso=$resultado[$x]["fecha_ingreso"];
        
        $menu.=<<<menu
        <tr>
            
            
            <td ondblclick="editar('cuentas', 'nombre', $id_cc)" class="media-heading" id="nombrecuentas$id_cc" title="Doble click para editar.">$nombre</td>
            
            <td >$fecha_ingreso</td>

            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_cc', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;

    }
return $menu;
}


function getmovingresostab(){
$table="movingresos";
$objeto= new db();
$kuery = "SELECT * FROM `movingresos`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_cc=$resultado[$x]["id_movingresos"];
        $nombre=$resultado[$x]["nombre"];
        $fecha_ingreso=$resultado[$x]["fecha"];
        
        $menu.=<<<menu
        <tr>
            
            <td ondblclick="editar('movingresos', 'nombre', $id_cc)" class="media-heading" id="nombremovingresos$id_cc" title="Doble click para editar.">$nombre</td>
            
            <td >$fecha_ingreso</td>

            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_cc', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;

    }
return $menu;
}
function gethorastable(){
if($_SESSION['perfil_estrategia']!=1){
$condicion = "where id_usuario = ".$_SESSION['id_estrategia'];
}else{
$condicion="";
}
$table="horas";
$objeto= new db();
$kuery = "SELECT * FROM `horas` $condicion";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_horas=$resultado[$x]["id_horas"];
        $id_usuario=$resultado[$x]["id_usuario"];
            $objetousu= new db();
            $kueryusu = "SELECT * FROM `usuarios` where id_usuarios = $id_usuario";
            $resultadousu = $objetousu->consultaregistros($kueryusu);
            $nombreusuario = $resultadousu[0]["nombre"]." ".$resultadousu[0]["apellidos"];
            

        $id_proyecto=$resultado[$x]["id_proyecto"];
            $objetoproy= new db();
            $kueryproy = "SELECT * FROM `cc` where id_cc = $id_proyecto";
            $resultadoproy = $objetoproy->consultaregistros($kueryproy);
            $nombreproyecto = $resultadoproy[0]["nombre"];


        $id_etapa=$resultado[$x]["id_etapa"];
            $objetoeta= new db();
            $kueryeta = "SELECT * FROM `etapas` where id_etapas = $id_etapa";
            $resultadoeta = $objetoeta->consultaregistros($kueryeta);
            $nombreetapa = $resultadoeta[0]["etapa"];
            

        $horas=$resultado[$x]["horas"];

        $fecha_ingreso=$resultado[$x]["fecha"];
        
        $menu.=<<<menu
        <tr>
            <td >$nombreusuario</td>
            <td >$nombreproyecto</td>
            <td >$nombreetapa</td>
            
            
            <td ondblclick="editar('horas', 'horas', $id_horas)" class="media-heading" id="horashoras$id_horas" title="Doble click para editar.">$horas</td>
            <td ondblclick="editar('horas', 'fecha', $id_horas)" class="media-heading" id="fechahoras$id_horas" title="Doble click para editar.">$fecha_ingreso</td>

            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_horas', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;

    }
return $menu;
}

function getetapaproy(){
$table="etapas";
$objeto= new db();
$kuery = "SELECT * FROM `etapas`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_etapas=$resultado[$x]["id_etapas"];
        $etapa=$resultado[$x]["etapa"];
        $fecha_ingreso=$resultado[$x]["fecha"];
        
        $menu.=<<<menu
        <tr>
            
            <td ondblclick="editar('etapas', 'etapa', $id_etapas)" class="media-heading" id="etapaetapas$id_etapas" title="Doble click para editar.">$etapa</td>
            
            <td >$fecha_ingreso</td>

            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_etapas', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;

    }
return $menu;
}

function getmovingresosoption(){
$table="movingresos";
$objeto= new db();
$kuery = "SELECT * FROM `movingresos`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        $id_cc=$resultado[$x]["id_movingresos"];
        $nombre=$resultado[$x]["nombre"];
        $fecha_ingreso=$resultado[$x]["fecha"];
        
        $menu.=<<<menu
<option value="$id_cc">$nombre</option>
menu;

    }
return $menu;
}

function getcuentas(){
$table="cuentas";
$objeto= new db();
$kuery = "SELECT * FROM `cuentas`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        $id_cuentas=$resultado[$x]["id_cuentas"];
        $nombre=$resultado[$x]["nombre"];
        //$fecha_ingreso=$resultado[$x]["fecha"];
        
        $menu.=<<<menu
<option value="$id_cuentas">$nombre</option>
menu;

    }
return $menu;
}

function getformaingreso(){
$table="cuentas";
$objeto= new db();
$kuery = "SELECT * FROM `cuentas`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_cc=$resultado[$x]["id_cuentas"];
        $nombre=$resultado[$x]["nombre"];
        $fecha_ingreso=$resultado[$x]["fecha_ingreso"];
        
        $menu.=<<<menu
        <option value="$id_cc">$nombre</option>
menu;

    }
return $menu;
}

function getingresosdatos(){
setlocale(LC_MONETARY,'es_MX');
$table="ingresos_datos";
$objeto= new db();
$kuery = "SELECT * FROM `ingresos_datos`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_ingresos_datos=$resultado[$x]["id_ingresos_datos"];
        $id_ingresos=$resultado[$x]["id_ingresos"];
        $id_session=$resultado[$x]["id_session"];


        $fecha=$resultado[$x]["fecha"];
        $cc=$resultado[$x]["cc"];
        $cliente=$resultado[$x]["cliente"];
        $forma_ingreso=$resultado[$x]["forma_ingreso"];
        $comentarios=$resultado[$x]["comentarios"];
        $linea_negocio=$resultado[$x]["linea_negocio"];
        $montoreal=$resultado[$x]["montoreal"];
        $fechamontoreal=$resultado[$x]["fechamontoreal"];
        $montoproy=$resultado[$x]["montoproy"];
        $fehcaproy=$resultado[$x]["fehcaproy"];
        
       
        $montoreal = money_format('%.2n', $montoreal);
        $montoproy = money_format('%.2n', $montoproy);/*
        $total_otros = money_format('%.2n', $total_otros);
        $total_indirectos = money_format('%.2n', $total_indirectos);
        $egresostotales = money_format('%.2n', $egresostotales);
        $ingresostotales = money_format('%.2n', $ingresostotales);
        $saldoalcierre = money_format('%.2n', $saldoalcierre);*/

        $menu.=<<<menu
        <tr class="claseeduardo">
            
            <td >$fecha</td>
            <td >$cc</td>
            <td >$cliente</td>
            <td >$forma_ingreso</td>
            <td >$comentarios</td>
            <td >$linea_negocio</td>
            <td >$fehcaproy</td>
            <td bgcolor="#ffd2d6">$montoproy</td>
            
            <td >$fechamontoreal</td>
            <td bgcolor="#ffd2d6">$montoreal</td>
            
            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_ingresos_datos', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}

function gettraspasos(){
setlocale(LC_MONETARY,'es_MX');

$table="traspasos_datos";
$objeto= new db();
$kuery = "SELECT * FROM `traspasos_datos`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_traspasos_datos=$resultado[$x]["id_traspasos_datos"];
        $id_traspasos=$resultado[$x]["id_traspasos"];
        $cuentaegreso=$resultado[$x]["cuentaegreso"];
        $montotras=$resultado[$x]["montotras"];
        $moedatras=$resultado[$x]["moedatras"];
        $tipocuentatrasp=$resultado[$x]["tipocuentatrasp"];
        $cuentaingresa=$resultado[$x]["cuentaingresa"];
        $fechahoy=$resultado[$x]["fechahoy"];
        $total = $tipocuentatrasp * $montotras;
        $total = money_format('%.2n', $total);
        $montotras = money_format('%.2n', $montotras);

                $menu.=<<<menu
        <tr>
            <td >$fechahoy</td>
            <td >$cuentaegreso</td>
            <td >$montotras</td>
            <td >$moedatras</td>
            <td >$tipocuentatrasp</td>
            <td >$total</td>

            <td >$cuentaingresa</td>
            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_traspasos_datos', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
    return $menu;
}

function getegresosdatos(){
setlocale(LC_MONETARY,'es_MX');
$table="egreso_datos";
$objeto= new db();
$kuery = "SELECT * FROM `egreso_datos`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_egreso_datos=$resultado[$x]["id_egreso_datos"];
        $fecha=$resultado[$x]["fecha"];
        $cc=$resultado[$x]["cc"];
        $lineanegocio=$resultado[$x]["lineanegocio"];
        $tipologia=$resultado[$x]["tipologia"];
        $clienterazonsoc=$resultado[$x]["clienterazonsoc"];
        $clienterfc=$resultado[$x]["clienterfc"];
        $clasificacionegreso=$resultado[$x]["clasificacionegreso"];
        $tdgasto=$resultado[$x]["tdgasto"];
        $conceptogasto=$resultado[$x]["conceptogasto"];
        $subconcepto=$resultado[$x]["subconcepto"];
        $cuenta=$resultado[$x]["cuenta"];
        $comprobable=$resultado[$x]["comprobable"];
        $comentarios1=$resultado[$x]["comentarios1"];
        $comentarios2=$resultado[$x]["comentarios2"];
        $provssesp=$resultado[$x]["provssesp"];
        $proveedorrfc=$resultado[$x]["proveedorrfc"];
        $proveedorrazonsocial=$resultado[$x]["proveedorrazonsocial"];
        $tipoproveedor_text=$resultado[$x]["tipoproveedor_text"];
        $numFac=$resultado[$x]["numFac"];
        $fechamontoproy=$resultado[$x]["fechamontoproy"];
        $subproy=$resultado[$x]["subproy"];
        $impproy=$resultado[$x]["impproy"];
        $fechamontoreal=$resultado[$x]["fechamontoreal"];
        $subreal=$resultado[$x]["subreal"];
        $impreal=$resultado[$x]["impreal"];

        $totalproy = $subproy + $impproy;
        $totalreal = $subreal + $impreal;

        $subproy = money_format('%.2n', $subproy);
        $impproy = money_format('%.2n', $impproy);
        $subreal = money_format('%.2n', $subreal);
        $impreal = money_format('%.2n', $impreal);

        $totalproy = money_format('%.2n', $totalproy);
        $totalreal = money_format('%.2n', $totalreal);

        $menu.=<<<menu
        <tr class="claseeduardo">
            <td >$fecha</td>
            <td >$cc</td>
            <td >$lineanegocio</td>
            <td >$tipologia</td>
            <td >$clienterazonsoc</td>
            <td >$clienterfc</td>
            <td >$clasificacionegreso</td>
            <td >$tdgasto</td>
            <td >$conceptogasto</td>
            <td >$subconcepto</td>
            <td >$cuenta</td>
            <td >$comprobable</td>
            <td >$comentarios1</td>
            <td >$comentarios2</td>
            <td >$provssesp</td>
            <td >$proveedorrfc</td>
            <td >$proveedorrazonsocial</td>
            <td >$tipoproveedor_text</td>
            <td >$numFac</td>
            <td >$fechamontoproy</td>
            <td bgcolor="#d0e8e6">$subproy</td>
            <td bgcolor="#d0e8e6">$impproy</td>
            <td bgcolor="#ffd2d6">$totalproy</td>
            <td >$fechamontoreal</td>
            <td bgcolor="#d0e8e6">$subreal</td>
            <td bgcolor="#d0e8e6">$impreal</td>
            <td bgcolor="#ffd2d6">$totalreal</td>
            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_egreso_datos', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}


function gettipodeproveedortable(){
setlocale(LC_MONETARY,'es_MX');
$table="tipo_proveedor";
$objeto= new db();
$kuery = "SELECT * FROM `tipo_proveedor`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_tipo_proveedor=$resultado[$x]["id_tipo_proveedor"];
        $nombre=$resultado[$x]["nombre"];
        $descripcion=$resultado[$x]["descripcion"];
        $fecha =$resultado[$x]["fecha"];

        $menu.=<<<menu
        <tr class="claseeduardo">
            
            <td ondblclick="editar('tipo_proveedor', 'nombre', $id_tipo_proveedor)" class="media-heading" id="nombretipo_proveedor$id_tipo_proveedor" title="Doble click para editar.">$nombre</td>

            <td ondblclick="editar('tipo_proveedor', 'descripcion', $id_tipo_proveedor)" class="media-heading" id="descripciontipo_proveedor$id_tipo_proveedor" title="Doble click para editar.">$descripcion</td>

            <td >$fecha</td>
          
            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_tipo_proveedor', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}


function getchecketapas(){
$table="etapas";
$objeto= new db();
$kuery = "SELECT * FROM `etapas`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_tipologias=$resultado[$x]["id_etapas"];
        $nombre=$resultado[$x]["etapa"];
        $menu.=<<<menu
        <div class="col-md-12 col-sm-12 col-xs-12">
                 <div class="checkbox">
                    <label class="control-label col-md-2 col-sm-2 col-xs-12" for="last-name">
                          <input type="checkbox" value="$id_tipologias" id="etapa_$id_tipologias"> <strong>$nombre</strong>
                    </label>
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">
                          Fecha inicio:
                          <input class="form-control col-md-3 col-xs-3" type="date" id="etapafi_$id_tipologias">
                    </label>
                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="last-name">
                          Fecha fin:
                          <input class="form-control col-md-3 col-xs-3" type="date" id="etapaff_$id_tipologias">
                    </label>
                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="last-name">
                          <small>Referencia de Duración (Semanas):</small><input class="form-control col-md-2 col-xs-2" type="text" onkeypress="return NumCheck(event, this)" id="etapad_$id_tipologias">
                    </label>
                </div>    
        </div>
menu;
    }
return $menu;
}

function getoptionproveedor(){
$table="proveedores";
$objeto= new db();
$kuery = "SELECT * FROM `proveedores`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_proveedores=$resultado[$x]["id_proveedores"];
        $id_usuario=$resultado[$x]["id_usuario"];
        $RFC=$resultado[$x]["RFC"];
        $Razon_social=$resultado[$x]["Razon_social"];
        /*$contacto=$resultado[$x]["contacto"];
        $correo=$resultado[$x]["correo"];
        $telefono=$resultado[$x]["telefono"];
        $lnegocio=$resultado[$x]["lnegocio"];
        $nombre=$resultado[$x]["nombre"];*/
        $fecha=$resultado[$x]["fecha"];
        
        $menu.=<<<menu
        <option value="$id_proveedores">$Razon_social $RFC</option>
menu;

    }
return $menu;
}


function getoptionusuarios(){
$table="usuarios";
$objeto= new db();
$kuery = "SELECT * FROM `usuarios`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_usuarios=$resultado[$x]["id_usuarios"];
        $Puesto=$resultado[$x]["Puesto"];
        $nombre=$resultado[$x]["nombre"]." ".$resultado[$x]["apellidos"];
        
        $menu.=<<<menu
        <option value="$id_usuarios">$Puesto -- $nombre</option>
menu;

    }
return $menu;
}

function getoptionclientes(){
$table="clientes";
$objeto= new db();
$kuery = "SELECT * FROM `clientes`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_clientes=$resultado[$x]["id_clientes"];
        $id_usuario=$resultado[$x]["id_usuario"];
        $RFC=$resultado[$x]["RFC"];
        $Razon_social=$resultado[$x]["Razon_social"];
        $fecha=$resultado[$x]["fecha"];
        
        $menu.=<<<menu
        <option value="$id_clientes">$Razon_social $RFC</option>
menu;
    }
return $menu;
}

function getoptionlienaneg(){
$table="datosmaestros";
$objeto= new db();
$kuery = "SELECT * FROM `datosmaestros`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_datosmaestros=$resultado[$x]["id_datosmaestros"];
        $linadenegocio=$resultado[$x]["linadenegocio"];
        
        $menu.=<<<menu
        <option value="$id_datosmaestros">$linadenegocio</option>
menu;
    }
return $menu;
}

function getoptiotipologia(){
$table="tipologias";
$objeto= new db();
$kuery = "SELECT * FROM `tipologias`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_tipologias=$resultado[$x]["id_tipologias"];
        $nombre=$resultado[$x]["nombre"];
        $menu.=<<<menu
        <option value="$id_tipologias">$nombre</option>
menu;
    }
return $menu;
}



function getoptiontipoprov(){
$table="tipo_proveedor";
$objeto= new db();
$kuery = "SELECT * FROM `tipo_proveedor`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_tipo_proveedor=$resultado[$x]["id_tipo_proveedor"];
        $nombre=$resultado[$x]["nombre"];
        $descripcion=$resultado[$x]["descripcion"];
        $fecha =$resultado[$x]["fecha"];
        
        $menu.=<<<menu
        <option value="$id_tipo_proveedor">$nombre $descripcion</option>
menu;

    }
return $menu;
}

function getoptionproveedortext(){
$table="proveedores";
$objeto= new db();
$kuery = "SELECT * FROM `proveedores`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_proveedores=$resultado[$x]["id_proveedores"];
        $id_usuario=$resultado[$x]["id_usuario"];
        $RFC=$resultado[$x]["RFC"];
        $Razon_social=$resultado[$x]["Razon_social"];
        /*$contacto=$resultado[$x]["contacto"];
        $correo=$resultado[$x]["correo"];
        $telefono=$resultado[$x]["telefono"];
        $lnegocio=$resultado[$x]["lnegocio"];
        $nombre=$resultado[$x]["nombre"];*/
        $fecha=$resultado[$x]["fecha"];
        
        $menu.=<<<menu
        <option value="$Razon_social">$Razon_social</option>
menu;

    }
return $menu;
}

function getoptionclientestext(){
$table="clientes";
$objeto= new db();
$kuery = "SELECT * FROM `clientes`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_clientes=$resultado[$x]["id_clientes"];
        $id_usuario=$resultado[$x]["id_usuario"];
        $RFC=$resultado[$x]["RFC"];
        $Razon_social=$resultado[$x]["Razon_social"];
        $fecha=$resultado[$x]["fecha"];
        
        $menu.=<<<menu
        <option value="$Razon_social">$Razon_social</option>
menu;
    }
return $menu;
}

function getoptionlienanegtext(){
$table="datosmaestros";
$objeto= new db();
$kuery = "SELECT * FROM `datosmaestros`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_datosmaestros=$resultado[$x]["id_datosmaestros"];
        $linadenegocio=$resultado[$x]["linadenegocio"];
        
        $menu.=<<<menu
        <option value="$linadenegocio">$linadenegocio</option>
menu;
    }
return $menu;
}

function getoptiotipologiatext(){
$table="tipologias";
$objeto= new db();
$kuery = "SELECT * FROM `tipologias`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_tipologias=$resultado[$x]["id_tipologias"];
        $nombre=$resultado[$x]["nombre"];
        $menu.=<<<menu
        <option value="$nombre">$nombre</option>
menu;
    }
return $menu;
}



function getoptiontipoprovtext(){
$table="tipo_proveedor";
$objeto= new db();
$kuery = "SELECT * FROM `tipo_proveedor`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_tipo_proveedor=$resultado[$x]["id_tipo_proveedor"];
        $nombre=$resultado[$x]["nombre"];
        $descripcion=$resultado[$x]["descripcion"];
        $fecha =$resultado[$x]["fecha"];
        
        $menu.=<<<menu
        <option value="$$nombre $descripcion">$nombre $descripcion</option>
menu;

    }
return $menu;
}

function getrelacionproveedor(){
$kuery ="SELECT * FROM `tipo_proveedorrelacion`";
$table="tipo_proveedorrelacion";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($datosbanner);$x++){
        $id_tipo_proveedorrelacion =  $datosbanner[$x]['id_tipo_proveedorrelacion'];
        $id_proveedores =  $datosbanner[$x]['id_proveedores'];
        $tipo_proveedor =  $datosbanner[$x]['tipo_proveedor'];
        $fecha =  $datosbanner[$x]['fecha'];

        $kuery2 ="SELECT * FROM `tipo_proveedor` where id_tipo_proveedor = $tipo_proveedor";
        $objeto2= new db();
        $datosbanner2=$objeto2->consultaregistros($kuery2);
            $nombre =  $datosbanner2[0]['nombre'];

        $objcliente= new db();
        $getcliente ="SELECT * FROM `proveedores` where  id_proveedores = $id_proveedores";
        $resultcliente=$objcliente->consultaregistros($getcliente);
            $nombreproveedores = $resultcliente[0]['Razon_social']." ".$resultcliente[0]['RFC'];

$menu.=<<<menu
        <tr>
            <td >$nombreproveedores</td>
            
            <td >$nombre</td>
            
            <td class="media-heading" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro('$id_tipo_proveedorrelacion', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
    return $menu;
}


function getperiodos($fechainicio, $fechafin, $suma, $clasificacionegreso, $tdgasto, $centrodecostos){
//$fechahoy = $_GET['fechainicio'];//17/01/2017
//$fecha2 = $_GET['fechafin'];//30/02/2017
/*echo "<br>";
echo "<br>";

echo $fechainicio;
echo "<br>";
echo $fechafin;
echo "<br>";
echo "<br>";*/

$anohoy = date('y', strtotime($fechafin));//2017
$meshoy = date('m', strtotime($fechafin));//02
$diahoy = date('d', strtotime($fechafin));//30

$ano2 = date('y', strtotime($fechainicio));//2017
$mes2 = date('m', strtotime($fechainicio));//01
$dia2 = date('d', strtotime($fechainicio));//17

if(($anohoy > $ano2) || ($anohoy == $ano2)){
  if(($meshoy > $mes2) || ($meshoy == $mes2) || (($meshoy < $mes2) && ($anohoy > $ano2)) && (($anohoy > $ano2) || ($anohoy == $ano2))){
    if(
      (($diahoy > $dia2)  || ($diahoy == $dia2)) 
      && (($anohoy > $ano2) || ($anohoy == $ano2))
      || (($meshoy < $mes2) && ($anohoy > $ano2)) 
      || (($diahoy < $dia2) && ($meshoy < $mes2) && ($anohoy > $ano2))
      || (($diahoy < $dia2) && ($meshoy > $mes2))
      || (($diahoy < $dia2) && ($meshoy > $mes2)))
      {        

      $calcfecha = "Fecha ".$fecha2." es mayor a ".$fechahoy." o  es igual";
      //$calcfecha = "Fecha ".$fecha2." es mayor a ".$fechahoy." o  es igual";
      $difdia = $diahoy - $dia2;
      $difmes = $meshoy - $mes2;
      $difano = $anohoy - $ano2;
      $resp="";
      $diferencia = "ano: ".$difano." mes: ".$difmes." dia: ".$difdia;
      $x = 0;
      do { 
        $i = 0;
        do {
            switch ($mes2) {
              case '1':{
                $resp .="1 - ".$ano2."<br>";
                $meseseano[$i]='ENE';
                $anos[$i]= $ano2;
              }break;
              case '2':{
                $resp .="2- ".$ano2."<br>"; 
                $meseseano[$i]='FEB';
                $anos[$i]=$ano2;
              }break;
              case '3':{
                $resp .="3- ".$ano2."<br>"; 
                $meseseano[$i]='MAR';
                $anos[$i]=$ano2;
              }break;
              case '4':{
                $resp .="4- ".$ano2."<br>"; 
                $meseseano[$i]='ABR';
                $anos[$i]=$ano2;
              }break;
              case '5':{
                $resp .="5- ".$ano2."<br>"; 
                $meseseano[$i]='MAY';
                $anos[$i]=$ano2;
              }break;
              case '6':{
                $resp .="6- ".$ano2."<br>"; 
                $meseseano[$i]='JUN';
                $anos[$i]=$ano2;
              }break;
              case '7':{
                $resp .="7- ".$ano2."<br>"; 
                $meseseano[$i]='JUL';
                $anos[$i]=$ano2;
              }break;
              case '8':{
                $resp .="8- ".$ano2."<br>";
                $meseseano[$i]='AGO';
                $anos[$i]= $ano2;
              }break;
              case '9':{
                $resp .="9- ".$ano2."<br>"; 
                $meseseano[$i]='SEP';
                $anos[$i]=$ano2;
              }break;
              case '10':{
                $resp .="10- ".$ano2."<br>"; 
                $meseseano[$i]='OCT';
                $anos[$i]=$ano2;
              }break;
              case '11':{
                $resp .="11- ".$ano2."<br>"; 
                $meseseano[$i]='NOV';
                $anos[$i]=$ano2;
              }break;
              case '12':{
                $resp .="12- ".$ano2."<br>"; 
                $meseseano[$i]='DIC';
                $anos[$i]=$ano2;
              }break;
              
              default:
                # code...
                break;
              }
              $i++;
              $mes2++;
              if(($ano2==$anohoy)&&($meshoy+1==$mes2)){
                break;
              }
              if($mes2==13){
                $mes2=1;
                $ano2++;
              }
        } while ($ano2 < $anohoy+1);
        /*echo $mes2;
        echo "<br>";
        echo $mes2;*/
        $ano2++;
      } while ($ano2 < $anohoy);
    /*  echo "<br>";
      echo $anohoy;
      echo "<br>";
      echo $ano2;
*/


      /*for ($i=0; $i < $difano; $i++) { 
        for ($i=0; $i < $difmes; $i++) { 
          
        }
      }*/

    }else{
      $calcfecha = "La segunda fecha debe ser mayor dia";
    }
  }else{
    $calcfecha = "La segunda fecha debe ser mayor mes ";
  }
}else{
  $calcfecha = "La segunda fecha debe ser mayor año";
}


for ($i=0; $i <count($meseseano); $i++) { 

  if($i==0){
    $fechaini=$fechainicio;
    $anofec = date('Y', strtotime($fechaini));//01
    $mesfec = date('m', strtotime($fechaini));//01
    $mesfec = date($mesfec + 1);
    if(count($mesfec)==1){
        $mesfec = "0".$mesfec;
    }

    $fechafini = date($anofec."-".$mesfec."-01");

    //$diafec = date('d', strtotime($fechaini));//01


    /*$fechafini = strtotime ('+1 month', strtotime($fechaini));
    $fechafini = date('Y-m-d', $fechafini);
    $fechafini = date('Y-m-d', $fechafini);*/


    /*$fechaMesPasado = strtotime ('-1 month', strtotime($fechaActual));
    $anofec = date('y', strtotime($fechainicio));//01
    $mesfec = date('m', strtotime($fechainicio));//01
    $diafec = date('d', strtotime($fechainicio));//01
    $fechafin = "20".$anofec."-0".($mesfec+1);*/
  }else{

    $fechaini= $fechafini;
    $fechafini = strtotime ('+1 month', strtotime($fechaini));
    $fechafini = date('Y-m-d', $fechafini);
    if($i ==count($meseseano)-1){
        //echo "es el ultimo registro";
        $fechafini = $fechafin;
    }
  }

  $obj16= new db();
  $kueryreal16 = "SELECT sum(`subreal`) as treal FROM egreso_datos WHERE `cc`= '$centrodecostos' and  (fechamontoreal > '$fechaini' and fechamontoreal < '$fechafini' ) and tdgasto = '$tdgasto' and clasificacionegreso='$clasificacionegreso' group by cc";
  //echo "<br>";
  $resultmontreal1 = $obj16->consultaregistros($kueryreal16);
  $subreal1 = $resultmontreal1[0]['treal'];
  //echo "<---<br>";


  $obj17= new db2();
  $query = "SELECT h.idProyecto, h.idMes, p.Proyecto, m.Mes, SUM(h.horas) as hrs, ROUND((SUM(h.Horas)*100)/ (SELECT SUM(horas) as tot FROM Horas WHERE ano = '2017' and idMes = h.idMes) ,2) as PCT FROM Horas h INNER JOIN Proyecto p ON h.idProyecto = p.idProyecto INNER JOIN Mes m ON h.idMes = m.idMes WHERE m.Mes = '".$meseseano[$i]."' and  h.Ano = '20".$anos[$i]."' and Proyecto='$centrodecostos' GROUP BY h.idProyecto, h.idMes";
  $resultmontreal2 = $obj17->consultaregistros($query);
  $subreal2 = $resultmontreal2[0]['PCT'];

  if($subreal2!=""){
    $query;
    $subreal2 = $subreal2 /100;
    $subreal1 = $subreal1 * $subreal2;    
  }

  $subrealsum = $subrealsum + $subreal1;
//echo "---real=".$subreal1."----PCT= ".$subreal2." ]<br>";
}

//echo "<br><br>resultado de suma:".$subrealsum;
return $subrealsum;
}

/*function money_format($format, $number) 
{ 
    $regex  = '/%((?:[\^!\-]|\+|\(|\=.)*)([0-9]+)?'. 
              '(?:#([0-9]+))?(?:\.([0-9]+))?([in%])/'; 
    if (setlocale(LC_MONETARY, 0) == 'C') { 
        setlocale(LC_MONETARY, ''); 
    } 
    $locale = localeconv(); 
    preg_match_all($regex, $format, $matches, PREG_SET_ORDER); 
    foreach ($matches as $fmatch) { 
        $value = floatval($number); 
        $flags = array( 
            'fillchar'  => preg_match('/\=(.)/', $fmatch[1], $match) ? 
                           $match[1] : ' ', 
            'nogroup'   => preg_match('/\^/', $fmatch[1]) > 0, 
            'usesignal' => preg_match('/\+|\(/', $fmatch[1], $match) ? 
                           $match[0] : '+', 
            'nosimbol'  => preg_match('/\!/', $fmatch[1]) > 0, 
            'isleft'    => preg_match('/\-/', $fmatch[1]) > 0 
        ); 
        $width      = trim($fmatch[2]) ? (int)$fmatch[2] : 0; 
        $left       = trim($fmatch[3]) ? (int)$fmatch[3] : 0; 
        $right      = trim($fmatch[4]) ? (int)$fmatch[4] : $locale['int_frac_digits']; 
        $conversion = $fmatch[5]; 

        $positive = true; 
        if ($value < 0) { 
            $positive = false; 
            $value  *= -1; 
        } 
        $letter = $positive ? 'p' : 'n'; 

        $prefix = $suffix = $cprefix = $csuffix = $signal = ''; 

        $signal = $positive ? $locale['positive_sign'] : $locale['negative_sign']; 
        switch (true) { 
            case $locale["{$letter}_sign_posn"] == 1 && $flags['usesignal'] == '+': 
                $prefix = $signal; 
                break; 
            case $locale["{$letter}_sign_posn"] == 2 && $flags['usesignal'] == '+': 
                $suffix = $signal; 
                break; 
            case $locale["{$letter}_sign_posn"] == 3 && $flags['usesignal'] == '+': 
                $cprefix = $signal; 
                break; 
            case $locale["{$letter}_sign_posn"] == 4 && $flags['usesignal'] == '+': 
                $csuffix = $signal; 
                break; 
            case $flags['usesignal'] == '(': 
            case $locale["{$letter}_sign_posn"] == 0: 
                $prefix = '('; 
                $suffix = ')'; 
                break; 
        } 
        if (!$flags['nosimbol']) { 
            $currency = $cprefix . 
                        ($conversion == 'i' ? $locale['int_curr_symbol'] : $locale['currency_symbol']) . 
                        $csuffix; 
        } else { 
            $currency = ''; 
        } 
        $space  = $locale["{$letter}_sep_by_space"] ? ' ' : ''; 

        $value = number_format($value, $right, $locale['mon_decimal_point'], 
                 $flags['nogroup'] ? '' : $locale['mon_thousands_sep']); 
        $value = @explode($locale['mon_decimal_point'], $value); 

        $n = strlen($prefix) + strlen($currency) + strlen($value[0]); 
        if ($left > 0 && $left > $n) { 
            $value[0] = str_repeat($flags['fillchar'], $left - $n) . $value[0]; 
        } 
        $value = implode($locale['mon_decimal_point'], $value); 
        if ($locale["{$letter}_cs_precedes"]) { 
            $value = $prefix . $currency . $space . $value . $suffix; 
        } else { 
            $value = $prefix . $value . $space . $currency . $suffix; 
        } 
        if ($width > 0) { 
            $value = str_pad($value, $width, $flags['fillchar'], $flags['isleft'] ? 
                     STR_PAD_RIGHT : STR_PAD_LEFT); 
        } 

        $format = str_replace($fmatch[0], $value, $format); 
    } 
    return $format; 
} *//*
function money_format($format, $number) {
        $regex = '/%((?:[\^!\-]|\+|\(|\=.)*)([0-9]+)?' .
                '(?:#([0-9]+))?(?:\.([0-9]+))?([in%])/';
        if (setlocale(LC_MONETARY, 0) == 'C') {
            setlocale(LC_MONETARY, '');
        }
        $locale = localeconv();
        preg_match_all($regex, $format, $matches, PREG_SET_ORDER);
        foreach ($matches as $fmatch) {
            $value = floatval($number);
            $flags = array(
                'fillchar' => preg_match('/\=(.)/', $fmatch[1], $match) ?
                        $match[1] : ' ',
                'nogroup' => preg_match('/\^/', $fmatch[1]) > 0,
                'usesignal' => preg_match('/\+|\(/', $fmatch[1], $match) ?
                        $match[0] : '+',
                'nosimbol' => preg_match('/\!/', $fmatch[1]) > 0,
                'isleft' => preg_match('/\-/', $fmatch[1]) > 0
            );
            $width = trim($fmatch[2]) ? (int) $fmatch[2] : 0;
            $left = trim($fmatch[3]) ? (int) $fmatch[3] : 0;
            $right = trim($fmatch[4]) ? (int) $fmatch[4] : $locale['int_frac_digits'];
            $conversion = $fmatch[5];

            $positive = true;
            if ($value < 0) {
                $positive = false;
                $value *= -1;
            }
            $letter = $positive ? 'p' : 'n';

            $prefix = $suffix = $cprefix = $csuffix = $signal = '';

            $signal = $positive ? $locale['positive_sign'] : $locale['negative_sign'];
            switch (true) {
                case $locale["{$letter}_sign_posn"] == 1 && $flags['usesignal'] == '+':
                    $prefix = $signal;
                    break;
                case $locale["{$letter}_sign_posn"] == 2 && $flags['usesignal'] == '+':
                    $suffix = $signal;
                    break;
                case $locale["{$letter}_sign_posn"] == 3 && $flags['usesignal'] == '+':
                    $cprefix = $signal;
                    break;
                case $locale["{$letter}_sign_posn"] == 4 && $flags['usesignal'] == '+':
                    $csuffix = $signal;
                    break;
                case $flags['usesignal'] == '(':
                case $locale["{$letter}_sign_posn"] == 0:
                    $prefix = '(';
                    $suffix = ')';
                    break;
            }
            if (!$flags['nosimbol']) {
                $currency = $cprefix .
                        ($conversion == 'i' ? $locale['int_curr_symbol'] : $locale['currency_symbol']) .
                        $csuffix;
            } else {
                $currency = $cprefix .$csuffix;
            }
            $space = $locale["{$letter}_sep_by_space"] ? ' ' : '';

            $value = number_format($value, $right, $locale['mon_decimal_point'], $flags['nogroup'] ? '' : $locale['mon_thousands_sep']);
            $value = @explode($locale['mon_decimal_point'], $value);

            $n = strlen($prefix) + strlen($currency) + strlen($value[0]);
            if ($left > 0 && $left > $n) {
                $value[0] = str_repeat($flags['fillchar'], $left - $n) . $value[0];
            }
            $value = implode($locale['mon_decimal_point'], $value);
            if ($locale["{$letter}_cs_precedes"]) {
                $value = $prefix . $currency . $space . $value . $suffix;
            } else {
                $value = $prefix . $value . $space . $currency . $suffix;
            }
            if ($width > 0) {
                $value = str_pad($value, $width, $flags['fillchar'], $flags['isleft'] ?
                                STR_PAD_RIGHT : STR_PAD_LEFT);
            }

            $format = str_replace($fmatch[0], $value, $format);
        }
        return $format;
    }*/
?>